//	*******************************************************************************
//	Name	:	ToolB0603.hpp
//			:	CToolBar resize
//	Author	:	I. Nakagawa
//	Create	:	2024/06/03
//	Modify	:	2024/06/03
//	*******************************************************************************

#pragma		once

#include	"GetDPI.hpp"

////
//	*******************************************************************************
//	CToolBar resize
//	Create	:	2024/06/03
//	*******************************************************************************
inline	BOOL	ToolBar__Resize		(CToolBar* toolBar,UINT idr)
{
	double	dpi_s = 1. ;
	{
			dpi_s = ::GetDPI_scale(toolBar->GetSafeHwnd()) ;
		}
	if (dpi_s == 1.) {
		return	TRUE ;
		}
	CToolBarCtrl&	tbCtrl = toolBar->GetToolBarCtrl() ;
	CSize	btnSize(0,0) ;
	CRect	bdrRect(0,0,0,0) ;
//	CSize	imgSize(16,15) ;
	{
		DWORD	dwSize = tbCtrl.  GetButtonSize() ;
		{
			btnSize.cx = LOWORD(dwSize) ;
			btnSize.cy = HIWORD(dwSize) ;
			}
		bdrRect        = toolBar->GetBorders() ;
		}
	CSize	newBtnSize = btnSize ;
	CRect	newBdrRect = bdrRect ;
//	CSize	newImgSize = imgSize ;
	{
		newBtnSize.cx    = int(btnSize.cx    *dpi_s) ;
		newBtnSize.cy    = int(btnSize.cy    *dpi_s) ;
		newBdrRect.left  = int(bdrRect.left  *dpi_s) ;
		newBdrRect.top   = int(bdrRect.top   *dpi_s) ;
		newBdrRect.right = int(bdrRect.right *dpi_s) ;
		newBdrRect.bottom= int(bdrRect.bottom*dpi_s) ;
	//	newImgSize.cx    = int(imgSize.cx    *dpi_s) ;
	//	newImgSize.cy    = int(imgSize.cy    *dpi_s) ;
		}
	{
		tbCtrl.  SetButtonSize(newBtnSize) ;
	//	tbCtrl.  SetBitmapSize(newImgSize) ;
		toolBar->SetBorders (newBdrRect) ;
		}
	return	TRUE ;
	}

